#Module-Specific definitions
%define mod_version 1.0.7
%define release 1mdk
%define mod_name mod_ruby
%define mod_conf 20_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_ruby is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	BSD
URL:		http://www.modruby.net/
BuildRequires:	ruby-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	ruby

%description
mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts
will start up much faster than without mod_ruby.

%prep

%setup -q -n %{sourcename}

%build
./configure.rb --with-apxs=%{apxs}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{ap_libexecdir}
install -d %{buildroot}%{ap_extralibs}

make DESTDIR="%{buildroot}" install

mv %{buildroot}%{ap_libexecdir}/%{mod_so} %{buildroot}%{ap_extralibs}
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%doc ChangeLog COPYING README*
%{_libdir}/ruby

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0.7-1mdk
- built for apache 2.0.48

* Tue Sep 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.0.7-1mdk
- 1.0.7

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.0.6-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.0.6-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0.6-1mdk
- cosmetic rebuild for apache v2.0.45 

* Sun Apr 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.6-1mdk
- 1.0.6

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.0.2-2mdk
- require ruby, it works better ;-)

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.2-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.2-3mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.2-2mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.2-3mdk
- 1.0.2
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.1-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.1-1mdk
- new version

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.0-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.0-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_1.0.0-1mdk
- new version

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_0.9.9-3mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_0.9.9-2mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php

* Mon Aug 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.9-1mdk
- initial cooker contrib
